table:
  name: event
  schema: variables
object_relationships:
  - name: event
    using:
      manual_configuration:
        column_mapping:
          event_id: id
        insertion_order: null
        remote_table:
          name: events
          schema: public
insert_permissions:
  - role: _staff
    permission:
      check: {}
      columns:
        - vars
        - event_id
select_permissions:
  - role: _participant
    permission:
      columns:
        - vars
        - event_id
      filter:
        event:
          active:
            _eq: true
      allow_aggregations: true
    comment: ""
  - role: _scoringpod
    permission:
      columns:
        - vars
        - event_id
      filter: {}
      allow_aggregations: true
  - role: _staff
    permission:
      columns:
        - vars
        - event_id
      filter: {}
      allow_aggregations: true
update_permissions:
  - role: _staff
    permission:
      columns:
        - vars
        - event_id
      filter: {}
      check: {}
delete_permissions:
  - role: _staff
    permission:
      filter: {}
